ObjectClass (CMDB Model API)
Keywords: com.collation.platform.model.topology.meta.ObjectClass interface

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.collation.platform.model.topology.meta
Interface ObjectClass

All Superinterfaces:
  CmdbMeta, ModelObject, java.io.Serializable

All Known Subinterfaces:
  RelationshipType

    public interface ObjectClass

extends CmdbMeta

Naming Rules:
  0="name"
Persistable:
  true
Table Name:
  OBJCLSMETA

Method Summary
`java.lang.String` | `getBaseClass()`
`DisplayNameRule` | `getDisplayNameRule()`
`java.lang.String` | `getDisplayString()`
`long` | `getLastModified()`
`java.lang.String` | `getName()`
`NamingRule[]` | `getNamingRules()`
`ObjectAttribute[]` | `getObjectAttributes()`
`boolean` | `getPersistable()`
`SimilarRule[]` | `getSimilarRules()`
`java.lang.String` | `getTable()`
`boolean` | `getTopLevel()`
`boolean` | `hasBaseClass()`
`boolean` | `hasDisplayNameRule()`
`boolean` | `hasDisplayString()`
`boolean` | `hasLastModified()`
`boolean` | `hasName()`
`boolean` | `hasNamingRules()`
`boolean` | `hasObjectAttributes()`
`boolean` | `hasPersistable()`
`boolean` | `hasSimilarRules()`
`boolean` | `hasTable()`
`boolean` | `hasTopLevel()`
`void` | `setBaseClass(java.lang.String s)`
`void` | `setDisplayNameRule(DisplayNameRule rule)`
`void` | `setDisplayString(java.lang.String s)`
`void` | `setLastModified(long last)`
`void` | `setName(java.lang.String s)`
`void` | `setNamingRules(NamingRule[] rules)`
`void` | `setObjectAttributes(ObjectAttribute[] attrs)`
`void` | `setPersistable(boolean b)`
`void` | `setSimilarRules(SimilarRule[] rules)`
`void` | `setTable(java.lang.String s)`
`void` | `setTopLevel(boolean b)`

Methods inherited from interface com.collation.platform.model.ModelObject
`getAdminState, getAllAttributes, getBidiFlag, getBidiFormat, getCDMSource, getCmdbSource, getContextIp, getCreatedBy, getDescription, getDisplayName, getExtendedAttributes, getGuid, getLabel, getLastModifiedBy, getLastModifiedTime, getObjectType, getSourceToken, hasAdminState, hasBidiFlag, hasBidiFormat, hasCDMSource, hasCmdbSource, hasContextIp, hasDescription, hasDisplayName, hasExtendedAttributes, hasGuid, hasLabel, hasObjectType, hasSourceToken, setAdminState, setBidiFlag, setBidiFormat, setCDMSource, setCmdbSource, setContextIp, setDescription, setExtendedAttributes, setGuid, setLabel, setObjectType, setSourceToken`

Method Detail

### getName

    java.lang.String getName()
                             throws AttributeNotSetException

  Throws:
    `AttributeNotSetException`

### setName

    void setName(java.lang.String s)

### hasName

    boolean hasName()

### getPersistable

    boolean getPersistable()
                           throws AttributeNotSetException

  Throws:
    `AttributeNotSetException`

### setPersistable

    void setPersistable(boolean b)

### hasPersistable

    boolean hasPersistable()

### getBaseClass

    java.lang.String getBaseClass()
                                  throws AttributeNotSetException

  Throws:
    `AttributeNotSetException`

### setBaseClass

    void setBaseClass(java.lang.String s)

### hasBaseClass

    boolean hasBaseClass()

### getTopLevel

    boolean getTopLevel()
                        throws AttributeNotSetException

  Throws:
    `AttributeNotSetException`

### setTopLevel

    void setTopLevel(boolean b)

### hasTopLevel

    boolean hasTopLevel()

### getDisplayString

    java.lang.String getDisplayString()
                                      throws AttributeNotSetException

  Throws:
    `AttributeNotSetException`

### setDisplayString

    void setDisplayString(java.lang.String s)

### hasDisplayString

    boolean hasDisplayString()

### getNamingRules

    NamingRule[] getNamingRules()
                                throws AttributeNotSetException

  Throws:
    `AttributeNotSetException`
  Table Name:
    OBJCLS_NAMERULE
  Containment Relationship:
    true

### setNamingRules

    void setNamingRules(NamingRule[] rules)

### hasNamingRules

    boolean hasNamingRules()

### getSimilarRules

    SimilarRule[] getSimilarRules()
                                  throws AttributeNotSetException

  Throws:
    `AttributeNotSetException`
  Table Name:
    OBJCLS_SIMRULE
  Containment Relationship:
    true

### setSimilarRules

    void setSimilarRules(SimilarRule[] rules)

### hasSimilarRules

    boolean hasSimilarRules()

### getDisplayNameRule

    DisplayNameRule getDisplayNameRule()
                                       throws AttributeNotSetException

  Throws:
    `AttributeNotSetException`
  Table Name:
    OBJCLS_DISRULE
  Containment Relationship:
    true

### setDisplayNameRule

    void setDisplayNameRule(DisplayNameRule rule)

### hasDisplayNameRule

    boolean hasDisplayNameRule()

### getObjectAttributes

    ObjectAttribute[] getObjectAttributes()
                                          throws AttributeNotSetException

  Throws:
    `AttributeNotSetException`
  Table Name:
    OBJCLS_ATTR
  Containment Relationship:
    true

### setObjectAttributes

    void setObjectAttributes(ObjectAttribute[] attrs)

### hasObjectAttributes

    boolean hasObjectAttributes()

### getLastModified

    long getLastModified()
                         throws AttributeNotSetException

  Throws:
    `AttributeNotSetException`

### setLastModified

    void setLastModified(long last)

### hasLastModified

    boolean hasLastModified()

### getTable

    java.lang.String getTable()
                              throws AttributeNotSetException

  Throws:
    `AttributeNotSetException`

### setTable

    void setTable(java.lang.String s)

### hasTable

    boolean hasTable()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD